#!/bin/bash
##############################################################################
# Script de instalación de las dependencias de Libre Media Server 
# en Debian Wheezy. 
# Necesita root para ejecutar
# (c) 2012-2013 Santi Noreña
# GPL License 
###############################################################################
# Comprobamos root
(( EUID )) && echo ‘You need to be root.’ && exit 1
# Instalamos OLA desde el repositorio del proyecto
# copia de seguridad de sources.list
cp /etc/apt/sources.list /etc/apt/sources.list.old
# Comprobamos que el repositorio no está en soucers.list
output=`grep apt.openlighting.org /etc/apt/sources.list | wc -l`
if [ "$output" -eq "0" ]; then
	#Añadimos el repositorio ola a sources.list
	echo "deb http://apt.openlighting.org/debian/ wheezy main" >> /etc/apt/sources.list
fi
apt-get update
# Install Pure Data y OLA
# libav para generar thumbs
apt-get -y --force-yes install ola libqtcore4 libqtgui4 libqtwebkit4 libqt4-script libqt4-network libmagick++5 libav-tools libftgl2 libavifile-0.7c2 libgmerlin-avdec1 libmpeg3-1 libquicktime2
if [ "$?" -eq "0" ]; then 
	echo "apt-get finish ok"
	else "apt-get return errors!"	
	fi
apt-get -f install
